<?php
function custom_theme_setup() {
	// Unterstützung für Menüs hinzufügen
	add_theme_support('menus');

	// Menüpositionen registrieren
	register_nav_menus(array(
		'primary' => __('Primary Menu')
	));
}
add_action('after_setup_theme', 'custom_theme_setup');

// Theme Customizer anpassen
function custom_customize_register($wp_customize) {
	$wp_customize->add_section('custom_nav_settings', array(
		'title' => __('Navigation Settings', 'custom-nav-theme'),
		'priority' => 30,
	));

	$wp_customize->add_setting('custom_nav_pages', array(
		'default' => '',
		'sanitize_callback' => 'absint',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'custom_nav_pages', array(
		'label' => __('Select Pages for Navigation', 'custom-nav-theme'),
		'section' => 'custom_nav_settings',
		'settings' => 'custom_nav_pages',
		'type' => 'dropdown-pages',
		'multiple' => true,
	)));
}

add_action( 'admin_enqueue_scripts', 'mareike_theme_setup' );
add_action('customize_register', 'custom_customize_register');
add_action('wp_enqueue_scripts', 'mein_child_theme_enqueue_styles');

function mein_child_theme_enqueue_styles() {
	wp_enqueue_style('registerform', get_template_directory_uri() . '/style.css');
}



function mareike_theme_setup() {
	wp_enqueue_style( 'custom-dashboard-styles', get_template_directory_uri() . '/mareike.css' );
}


function custom_registration_form() {
	wp_enqueue_style('registerform', get_template_directory_uri() . '/style.css');
}

function login_style() {
	wp_enqueue_style('registerform', get_template_directory_uri() . '/style.css');
}

add_action('register_form', 'custom_registration_form');
add_action('login_enqueue_scripts', 'login_style');
